#
# source this file to properly set up your environment for globus applications
# this requires that GLOBUS_LOCATION be set.
# GLOBUS_PATH will be set by this script to save the current location,
# should you decide to change GLOBUS_LOCATION to a different location and
# re source this script, the old GLOBUS_PATH information will be removed from
# your environment before applying the new GLOBUS_LOCATION
#

prefix="${GLOBUS_LOCATION-/usr}"
exec_prefix="${prefix}"
sbindir="${exec_prefix}/sbin"
bindir="${exec_prefix}/bin"

includedir="/usr/include/globus"
datarootdir="${prefix}/share"
datadir="/usr/share/globus"
libexecdir="/usr/share/globus"
for arch_specific in "${libexecdir}/globus-script-initializer."*; do
    if [ -f "${arch_specific}" ]; then
        . "${arch_specific}"
        if [ -d "$libdir" ]; then
            libdirs="${libdirs:+$libdirs }$libdir"
        fi
    fi
done
sysconfdir="/etc"
sharedstatedir="/var"
localstatedir="/var"
perlmoduledir="/usr/share/perl5"

if [ -z "${GLOBUS_LOCATION}" ]; then
    GLOBUS_LOCATION="$prefix"
fi

if [ -n "${GLOBUS_PATH}" ]; then
    PATH=`echo "${PATH}" | sed -e "s%:${GLOBUS_PATH}[^:]*%%g" -e "s%^${GLOBUS_PATH}[^:]*:\{0,1\}%%"`
    LD_LIBRARY_PATH=`echo "${LD_LIBRARY_PATH}" | sed -e "s%:${GLOBUS_PATH}[^:]*%%g" -e "s%^${GLOBUS_PATH}[^:]*:\{0,1\}%%"`
    DYLD_LIBRARY_PATH=`echo "${DYLD_LIBRARY_PATH}" | sed -e "s%:${GLOBUS_PATH}[^:]*%%g" -e "s%^${GLOBUS_PATH}[^:]*:\{0,1\}%%"`
    LIBPATH=`echo "${LIBPATH}" | sed -e "s%:${GLOBUS_PATH}[^:]*%%g" -e "s%^${GLOBUS_PATH}[^:]*:\{0,1\}%%"`
    SHLIB_PATH=`echo "${SHLIB_PATH}" | sed -e "s%:${GLOBUS_PATH}[^:]*%%g" -e "s%^${GLOBUS_PATH}[^:]*:\{0,1\}%%"`
    if [ -n "${MANPATH}" ]; then
        MANPATH=`echo "${MANPATH}" | sed -e "s%:${GLOBUS_PATH}[^:]*%%g" -e "s%^${GLOBUS_PATH}[^:]*:\{0,1\}%%"`
    fi
    if [ -n "${PERL5LIB}" ]; then
        PERL5LIB=`echo "${PERL5LIB}" | sed -e "s%:${GLOBUS_PATH}[^:]*%%g" -e "s%^${GLOBUS_PATH}[^:]*:\{0,1\}%%"`
    fi
fi

PATH=`echo "${PATH}" | sed -e "s%:${GLOBUS_LOCATION}[^:]*%%g" -e "s%^${GLOBUS_LOCATION}[^:]*:\{0,1\}%%"`
DYLD_LIBRARY_PATH=`echo "${DYLD_LIBRARY_PATH}" | sed -e "s%:${GLOBUS_LOCATION}[^:]*%%g" -e "s%^${GLOBUS_LOCATION}[^:]*:\{0,1\}%%"`
LIBPATH=`echo "${LIBPATH}" | sed -e "s%:${GLOBUS_LOCATION}[^:]*%%g" -e "s%^${GLOBUS_LOCATION}[^:]*:\{0,1\}%%"`
SHLIB_PATH=`echo "${SHLIB_PATH}" | sed -e "s%:${GLOBUS_LOCATION}[^:]*%%g" -e "s%^${GLOBUS_LOCATION}[^:]*:\{0,1\}%%"`
if [ -n "${MANPATH}" ]; then
    MANPATH=`echo "${MANPATH}" | sed -e "s%:${GLOBUS_LOCATION}[^:]*%%g" -e "s%^${GLOBUS_LOCATION}[^:]*:\{0,1\}%%"`
fi
if [ -n "${PERL5LIB}" ]; then
    PERL5LIB=`echo "${PERL5LIB}" | sed -e "s%:${GLOBUS_LOCATION}[^:]*%%g" -e "s%^${GLOBUS_LOCATION}[^:]*:\{0,1\}%%"`
fi


GLOBUS_PATH=${GLOBUS_LOCATION}
PATH="${bindir}:${sbindir}:${PATH}";

if [ -n "${MANPATH}" ]; then
    MANPATH="${datadir}/man:${MANPATH}"
fi

for libdir in $libdirs; do
    DELIM=
    if [ -n "${LD_LIBRARY_PATH}" ]; then
        DELIM=:
    fi
    LD_LIBRARY_PATH="${libdir}${DELIM}${LD_LIBRARY_PATH}"

    DELIM=
    if [ -n "${DYLD_LIBRARY_PATH}" ]; then
        DELIM=:
    fi
    DYLD_LIBRARY_PATH="${libdir}${DELIM}${DYLD_LIBRARY_PATH}"

    if [ -z "${LIBPATH}" ]; then
        LIBPATH="/usr/lib:/lib"
    fi
    LIBPATH="${libdir}:${LIBPATH}"

    DELIM=
    if [ -n "${SHLIB_PATH}" ]; then
        DELIM=:
    fi
    SHLIB_PATH="${libdir}${DELIM}${SHLIB_PATH}"
done

export GLOBUS_PATH PATH MANPATH LD_LIBRARY_PATH DYLD_LIBRARY_PATH LIBPATH SHLIB_PATH

if [ -d "${perlmoduledir}" ]; then
    DELIM=""
    if [ "X${PERL5LIB}" != "X" ]; then
        DELIM=:
    fi
    PERL5LIB="${perlmoduledir}${DELIM}${PERL5LIB}"
    export PERL5LIB
fi
